<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE, NOT OPEN SOURCE (GPL).
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
global $HTMLHeader;

$HTMLHeader->CSS($this->getURLofScript('owlcarousel2/owl.carousel.css'));
$HTMLHeader->CSS($this->getURLofScript('owlcarousel2/owl.theme.default.css'));
$HTMLHeader->CSS($this->getURLofScript('bootstrapslideshow.css'));
//$HTMLHeader->CSS($this->getURLofScript('idangerous.swiper.scrollbar.css'));
$HTMLHeader->Javascript($this->getURLofScript('owlcarousel2/owl.carousel.min.js'));

$slideshow_count = count($slideshow_array);
$slideshow_css_id = SAFE_HTML($this->block_name);
$slideshow_height = $height;
?> 
<?php if ($slideshow_array): ?>
    <!-- ## Bootstrap Slideshow -->
     
    <!-- -->
        <div class="carousel-inner  owl-carousel owl-theme" id="<?= $slideshow_css_id ?>" >
            <?php for ($i = 0; $i < $slideshow_count; $i++): ?>
            <?php $slide = $slideshow_array[$i]; ?>
                <div class="item <?= $i == 0 ? 'active' : '' ?>">
                    <img class="slide_image" src="<?= $this->app->getDataFileURLPath('image_large', $slide['image']); ?>" alt="<?= SAFE_HTML($slide['title']); ?>">
                    <?php if (!empty($slide['summary'])): ?>
                        <div class="ui container">
                            <div class="carousel-caption">
                                <h3><?= SAFE_HTML($slide['title']); ?></h3>
                                    <div class="slide_text">
                                        <?= $slide['summary']; ?>
                                    </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endfor; ?>
        </div>
 
    <!-- /.carousel -->
<script type="text/javascript">
$(document).ready(function() {

  var slideshow = $("#<?= $slideshow_css_id ?>");

  slideshow.owlCarousel({
    items : 1,
    slideSpeed : 2000,
    nav: true,
    autoplay: true,
    dots: true,
    loop: true,
    responsiveRefreshRate : 200
  }).on('changed.owl.carousel', syncPosition);

  function syncPosition(el) {
    var count = el.item.count-1;
    var current = Math.round(el.item.index - (el.item.count/2) - .5);
    
    if(current < 0) current = count;
    if(current > count) current = 0;
    }
    
    });
</script>
<?php endif; ?>